{% extends 'base.html.twig' %}

{% block body %}
    {% for post in posts %}
        {% include 'post/partials/short-post.html.twig' with { post: post } only %}
    {% endfor %}

    {% if maxPage > 1 %}
        <div class="row flex-center">
            <p>
            {% for page in 1..maxPage %}
                {% if currentPage != page %}
                    <a href="{{ path('app_post_posts', { page: page }) }}" class="paper-btn">{{ page }}</a>
                {% else %}
                    <button disabled>{{ page }}</button>
                {% endif %}
            {% endfor %}
            </p>
        </div>
    {% endif %}
{% endblock %}
